---
title: scroll-padding
slug: Web/CSS/scroll-padding
tags:
  - CSS
  - CSS Property
  - 'recipe:css-shorthand-property'
  - scroll-snap
---
<div>{{CSSRef}}</div>

<p>The <strong><code>scroll-padding</code></strong> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a> sets scroll padding on all sides of an element at once, much like the {{cssxref("padding")}} property does for padding on an element.</p>

<div>{{EmbedInteractiveExample("pages/css/scroll-padding.html")}}</div>

<p>The <code>scroll-padding-*</code> properties define offsets for the <dfn>optimal viewing region</dfn> of the scrollport: the region used as the target region for placing things in view of the user. This allows the author to exclude regions of the scrollport that are obscured by other content (such as fixed-positioned toolbars or sidebars), or to put more breathing room between a targeted element and the edges of the scrollport.</p>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li>{{CSSXref("scroll-padding-bottom")}}</li>
 <li>{{CSSXref("scroll-padding-left")}}</li>
 <li>{{CSSXref("scroll-padding-right")}}</li>
 <li>{{CSSXref("scroll-padding-top")}}</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
scroll-padding: auto;

/* &lt;length&gt; values */
scroll-padding: 10px;
scroll-padding: 1em .5em 1em 1em;
scroll-padding: 10%;

/* Global values */
scroll-padding: inherit;
scroll-padding: initial;
scroll-padding: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length-percentage&gt;")}}</dt>
 <dd>An inwards offset from the corresponding edge of the scrollport, as a valid {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}}.</dd>
 <dt><code>auto</code></dt>
 <dd>The offset is determind by the user agent. This will generally be <code>0px</code>, but the user agent is free to detect and do something else if a non-zero value is more appropriate.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scroll Snap Points", "#propdef-scroll-padding", "scroll-padding")}}</td>
   <td>{{Spec2("CSS Scroll Snap Points")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.scroll-padding")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap">CSS Scroll Snap</a></li>
  <li><a href="https://developers.google.com/web/updates/2018/07/css-scroll-snap">Well-Controlled Scrolling with CSS Scroll Snap</a></li>
</ul>
